1. Endpoints
PressOne eSIM Developer Platform
  • OVERVIEW
    • Introduction
    • Attribute descriptions
    • FAQ
    • User journeys
      • Top-up Journey
      • Purchase Journey
    • Guides
      • eSIM installation methods for API Partners
      • How to generate the QR code for an eSIM
  • REST API
    • Data / Data + Voice + SMS eSIM
      • Introduction
      • Error handling
      • Endpoints
        • Authenticate
          • Get token information
          • Refresh access token
          • Request access token
        • Check balance
          • Get balance
        • Compatible devices
          • Get compatible device lite list
        • Browse packages
          • Get packages
        • Place order
          • Submit order
        • Manage orders
          • Get order list
          • Get order
        • Manage eSIMs
          • Get eSIM by ICCID
          • Get eSIMs list
          • Get eSIM package history
        • Install eSIM
          • Get installation instructions
        • Monitor usage
          • Get usage (data, text & voice)
        • Place top up order
          • Get top-up package list
          • Submit top-up order
    • Voice-only eSIM
      • Getting Started
      • Error handling
      • Endpoints
        • List Available Numbers
          GET
        • Claim Number
          POST
        • Renew Number
          POST
        • List User
          GET
    • SMS
      • Introduction
      • Authentication
      • Conventions
        • Response envelope
        • Errors
        • Rate limits
        • Idempotency
        • Date ranges & timezone
        • Pagination
      • Endpoints
        • Send an SMS
          • Send SMS /api/sms/send
        • List message logs
          • List message logs /api/sms/logs
        • Get statistics
          • Get statistics /api/sms/statistics
        • Export logs (CSV)
          • Export logs (CSV) /api/sms/export
        • Analytics
          • Overview
            • Overview /api/sms/analytics/overview
          • Message volume
            • Message volume /api/sms/analytics/message-volume
          • Delivery status distribution
            • Delivery status distribution /api/sms/analytics/delivery-status
          • Delivery report
            • Delivery report - /api/sms/analytics/delivery-report
        • Check wallet balance
          • Check wallet balance /api/sms/balance
        • Send an OTP
          • Send an OTP /api/sms/otp/send
        • Verify an OTP
          • Verify an OTP /api/sms/otp/verify
      • Delivery webhooks
        • Delivery webhooks
      • Message lifecycle & statuses
        • Message lifecycle & statuses
      • Appendix: message object
        • Appendix: message object
  1. Endpoints

List User

GET
/api/third-party/partner/user/
Call this endpoint to retrieve users who signed up to PressOne via your platform. This endpoint is paginated and allows you to filter users by mobile number or email address.
Usage Notes:
You can filter users by providing either mobile or email query parameters
If no filters are provided, all users from your platform will be returned (paginated)
The subscription object provides detailed information about the user's current subscription status
All date fields are returned in ISO 8601 format (date-time)

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://prod.your-api-server.com/api/third-party/partner/user/?mobile=&email=&page_index=undefined&page_size=undefined' \
--header 'Authorization;'
Response Response Example
{
  "message": "string | null",
  "success": true,
  "total": 1,
  "page_size": 1,
  "page_index": 1,
  "nb_pages": 1,
  "previous": "string | null",
  "next": "string | null",
  "data": [
    {
      "first_name": "string | null",
      "last_name": "string | null",
      "email": "string | null",
      "mobile": "string | null",
      "subscription": {
        "plan": "string",
        "term": "string",
        "standard_cost": 0,
        "is_active": true,
        "is_free_trial": false,
        "billing_day": "2024-01-15T10:30:00Z",
        "date_created": "2024-01-15T10:30:00Z"
      },
      "date_created": "2024-01-15T10:30:00Z"
    }
  ]
}
Modified at 2025-11-16 11:01:27
Previous
Renew Number
Next
Introduction
Built with